{% extends 'base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block stylesheets %}
    <!-- Chargement de la feuille de style spécifique au formulaire de connexion -->
    <link rel="stylesheet" href="{{ asset('assets/css/login.css') }} ">
{% endblock %}

{% block body %}
    <!-- Conteneur principal pour le formulaire de connexion -->
    <div class="login-container">
        <form method="post">
            {% if error %}
                <!-- Affichage d'une alerte en cas d'erreur d'authentification -->
                <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
            {% endif %}

            {% if app.user %}
                <!-- Affichage des informations si l'utilisateur est déjà connecté -->
                <div class="mb-3">
                    You are logged in as {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Logout</a>
                </div>
            {% endif %}
            <!-- Titre du formulaire -->
            <h1 class="h3 mb-3 font-weight-normal">Connexion</h1>

            <!-- Champ pour le nom d'utilisateur -->
            <label for="inputNametag">Nom d'utilisateur</label>
            <input type="text" value="{{ last_username }}" name="nametag" id="inputNametag" class="form-control"
                   autocomplete="username" required autofocus>

            <!-- Champ pour le mot de passe -->
            <label for="inputPassword">Mot de passe :</label>
            <input type="password" name="password" id="inputPassword" class="form-control"
                   autocomplete="current-password" required>

            <!-- Champ caché pour le jeton CSRF (Cross-Site Request Forgery) -->
            <input type="hidden" name="_csrf_token"
                   value="{{ csrf_token('authenticate') }}"
            >

            <!-- Bouton de soumission du formulaire -->
            <button class="btn btn-lg btn-primary" type="submit">
                Sign in
            </button>
        </form>
    </div>
{% endblock %}
